package cn.sagacloud.server.algorithm.dao

import org.apache.ibatis.jdbc.SQL







/**
 *
 *
 * @author jxing
 */
class FloorDAO {
    fun dynamicUpdate(floorId: String, oldModelId: String?, modelId: String?) : String{
        return object : SQL() {
            init {
                UPDATE("public.floor")
                SET("model_id = #{modelId}")
//                if(oldModelId == null)
                WHERE("id =#{floorId}")
//                else
//                    WHERE("id =#{floorId} and model_id = #{oldModelId}")

            }
        }.toString()
    }
}